We’ve refreshed our API documentation with a brand-new look and feel. Don’t worry, everything you rely on is still there. The content hasn’t changed; it’s just had a makeover to make it cleaner, clearer, and easier to navigate.
curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"container_info": {
"redirect_rules": {
"rules": [
{
"from": "/",
"to": "https://example.com/login",
"type": "redirect",
"domain": "https://login.example.com",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"traffic_from_city": "Nashville",
"displayed_location": "Nashville, United States"
}
],
"redirect_rules_count": 100
}
}
}
}curl --request GET \
--url https://api.kinsta.com/v2/sites/environments/{env_id}/redirect-rules \
--header 'Authorization: Bearer <token>'{
"environment": {
"id": "54fb80af-576c-4fdc-ba4f-b596c83f15a1",
"container_info": {
"redirect_rules": {
"rules": [
{
"from": "/",
"to": "https://example.com/login",
"type": "redirect",
"domain": "https://login.example.com",
"traffic_from_country": "US",
"traffic_from_country_name": "United States",
"traffic_from_city": "Nashville",
"displayed_location": "Nashville, United States"
}
],
"redirect_rules_count": 100
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
10
3
domain, from, to, type "domain"
ascend, descend "ascend"
"Search..."
true, false "true"
Successfully found redirect rules
Show child attributes